// ITA_M113 italian army M113A2

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgPatches
{
	class ITA_M113
	{
		units[] = {ITA_M113};
		weapons[] = {};
		requiredVersion = 1.30;
	};

};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgAmmo
{
	class Default {};
	class BulletSingle : Default {};
	class ITA_Browning_M2_Round: BulletSingle
      {
		hit=20;indirectHit=0.1;indirectHitRange=0.1;
	};

};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class ITA_Browning_M2: MachineGun30
	{
		ammo=ITA_Browning_M2_Round;
		count=120;
		reloadTime=0.1;
		displayName = Browning .50cal;
		displayNameMagazine = Browning .50cal;
		shortNameMagazine = .50cal;
		sound[]={"Weapons\m2-50-loop",31.622778,1};


	};	

};

// ---------------------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------------------

class CfgVehicles
{ 
     class All {};
     class AllVehicles: All{};
     class Land:AllVehicles{};
     class LandVehicle: Land{};
     class Tank:LandVehicle{};
     class APC:Tank{};
     class M113:APC{};
     class ITA_M113:M113
      {
            model="\ITA_M113\ITA_M113";
            displayName="ITA E.I. M113";
            picture="\ITA_M113\iITAm113.paa";
            crew="ITA_Crew";
	    SoundEngine[]={"\Sound\Vehicles\ModernIdle1.wss",db+10,1};
            transportSoldier=8;
            transportAmmo=1;
            transportWeapon=1;
            weapons[]={"ITA_Browning_M2"};
            magazines[]={"ITA_Browning_M2","ITA_Browning_M2","ITA_Browning_M2","ITA_Browning_M2","ITA_Browning_M2"};
            class TransportWeapons
            {
                 class ITA_M113_W1
                 {
                 Weapon="CarlGustavLauncher";
                 count=1;
                 };
                 class ITA_M113_W2
                 {
                 Weapon="AALauncher";
                 count=1;
                 };
                 class ITA_M113_W3
                 {
                 Weapon="LAWLauncher";
                 count=2;
                 };
            };
		class TransportMagazines
            {           
                  class ITA_M113_A1
                  {
                  magazine="AALauncher";
                  count=2;
                  };   
                  class ITA_M113_A2
                  {
                  magazine="LAWLauncher";
                  count=4;
                  };
                  class ITA_M113_A3
                  {
                  magazine="HandGrenade";
                  count=30;
                  };
                  class ITA_M113_A4
                  {
                  magazine="CarlGustavLauncher";
                  count=2;
                  };   
            };
	};

//-----------------------------------------------------------------------------------------------

};

//----------------------------------------------------------------------------------------------
// --------------------------------------END FILE-----------------------------------------------
// ---------------------------------------------------------------------------------------------
